"""
    Addon for the Photo Folder
"""

import urllib
import Globals
import string

from Globals import HTMLFile, DTMLFile

from Products.PageTemplates.PageTemplateFile import PageTemplateFile
from Products.Photo.PhotoFolder import PhotoFolder

def deleteObject(self, ids, REQUEST=None, RESPONSE=None):
	"""Delete Objects."""
	
	try:	
		self.manage_delObjects(ids)
	except: 
		return 'p_/broken'
	
	if REQUEST is not None:
		return self.manage_photo_folder(REQUEST, manage_tabs_message='Photo deleted.')


def MovePhoto(self, REQUEST=None, RESPONSE=None):
	"""Move the Object."""
	
	try:	
		ret = self.manage_cutObjects(REQUEST['ids'])
		getattr(self.aq_parent,REQUEST['to_folder']).manage_pasteObjects(ret)

	except: 
		return 'p_/broken'
	
	if REQUEST is not None:
		return self.manage_photo_folder(REQUEST, manage_tabs_message='Photo moved.')

def editProperties(self, REQUEST=None, RESPONSE=None):
	"""Modifies all properties."""

	results={}
	
	for prop in self.propertyIds():
	    if REQUEST.has_key(prop):
	      results[prop] = REQUEST[prop]
	    else:
	      results[prop] = ''
	
	self.manage_editProperties(results)
	
	if REQUEST.has_key('TARGET'):
	    return RESPONSE.redirect (REQUEST['TARGET'])
	else:
	    return RESPONSE.redirect (REQUEST['HTTP_REFERER'])

 
targets = (
    PhotoFolder,
)

manage_options = (
    {'label':'View', 
     'action':'view_folder',
     'help':('Photo Addon', 'photo_addon.stx'),
    },
    {'label':'Manage Photos', 
     'action':'manage_photo_folder',
     'help':('Photo Addon', 'photo_addon.stx'),
    },
)

methods = {
    'view_folder':			DTMLFile('www/view_custom_folder', globals()),
    'index_html':			DTMLFile('www/view_custom_folder', globals()),
    'prop_embedded':		DTMLFile('www/prop_embedded', globals()),
    'manage_photo_folder':	PageTemplateFile('www/manage_photo_folder', globals()),
    'MovePhoto':			MovePhoto,
    'editProperties': 		editProperties,    
    'deleteObject':			deleteObject,
}
